Subject: Re: I don't want the .git directory next to my code.

From: Mike <[email-masked]>
Date: Thu, 17 Jan 2008 14:12:48 -0500

Jeff King wrote:
>   - moving .git away, and using --git-dir or GIT_DIR to specify it
>     manually

Actually, git-dir is sufficient for our needs, thanks.  I haven't been 
able to get my hands on man pages for git until this morning.  (If you 
look near the top of this thread you see that I don't have the git man 
pages because apparently CentOS (and probably RHEL too), doesn't include 
them when you "yum install git").

Linus posted a response about deployment and development being 
separated, so I had to point out why that doesn't work for web apps in 
interpreted languages.

You guys might want to complain to the CentOS (and/or RHEL) maintainers 
to have them put the man pages into the yum rpm. Er or whoever maintains 
that (they maintain that rpm, right? I don't know).

Thanks, Jeff,

mike